.section-product {
    padding: 150px 5% 120px 5%;
    background-size: cover;
    background-color: #937cb9;
    background-position: top center;
    background-repeat: no-repeat;
    position: relative;
    color: white;
    text-align: left;
    margin-top: 100px;
}

.product-slider-wrapper {padding-left: 5%; padding-right: 5%; margin-bottom: 50px; margin-top: 5%;}
.product-item {text-align: center;}
.product-item-inner {position: relative;margin-left: 20px; margin-right: 20px; padding: 30px 5% 30px 5%; background: #FFF;}
.product-image {margin-bottom: 15px; padding-top: 40px;}

.home-product-button-wrapper {display: flex; align-items: center; justify-content: center; gap: 10px;}

.product-content {
    max-width: 1200px; 
    margin: 0 auto;
    padding: 20px;
    border-radius: 8px; 
}

.title-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

.logo-product img {
    width: 120px; 
    height: 120px;
}

.title-background {
    background: linear-gradient(to right, #6e5095, rgba(143, 120, 181, 0)); 
    width: 1000px;
    height: 100px;
    position: relative;
    margin-left: -70px;
    color: white;
    display: flex;
    align-items: center;
    overflow: hidden;
    z-index: 1;
    clip-path: path('M50,0 Q100,50 50,100 H1000 V0 Z');
}

.product-title{
    color: #ececec;
    font-family: var(--poppins);
    font-size: 35px;
    font-weight: 500;
    line-height: 1.1;
    text-align: center;
    margin-bottom: 50px;
}

.separator-product {
    width: 1100px;
    height: 5px;
    background: linear-gradient(to right, #6e5095, rgba(143, 120, 181, 0));
    margin-left: 35px; 
    margin-top: -25px;
    clip-path: path('M50,0 Q-100,50 50,100 H1000 V0 Z');
}

.product-carousel {
    align-items: center;
    justify-content: space-between;
    position: relative;
    margin-top: 40px;
    padding-bottom: 30px;
}

.arrow {
    background: none;
    border: none;
    color: transparent; 
    font-size: 24px;
    cursor: pointer;
    z-index: 2;
    width: 40px; 
    height: 40px; 
    background-size: contain;
    background-repeat: no-repeat;
}

.left-arrow {
    position: absolute;
    left: -100px;
    background-image: url('images/arrow-left-product.png'); 
}

.right-arrow {
    position: absolute;
    right: -80px;
    background-image: url('images/arrow-right-product.png'); 
}


.product-cards {
    padding: 20px;
    display: flex;
    justify-content: space-between;  /* Membuat jarak antar kartu */
    flex-wrap: wrap;  /* Agar item berikutnya masuk ke baris baru jika tidak muat */
    margin-bottom: 30px;
}

/* Navigasi slider */
.product-cards .tns-controls button {
    width: 33px;
    height: 33px;
    border: 0;
    color: transparent;
    position: absolute;
    background-size: 100% 100% !important;
}

.product-cards .tns-controls button:first-child {
    background: url('images/arrow-left-product.png') no-repeat 0 0;
    left: -30px;
}

.product-cards .tns-controls button:nth-child(2) {
    background: url('images/arrow-right-product.png') no-repeat 0 0;
    right: -30px;
}

.product-card {
    background-color: white;
    padding: 20px;
    border-top-left-radius: 0px; 
    border-top-right-radius: 0px; 
    border-bottom-left-radius: 0px; 
    border-bottom-right-radius: 0px; 
    text-align: center;
    flex: 0 0 350px;
    width: 350px;
    height: 515px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.product-category-wrapper {
    position: absolute;
    top: 30px;
    left: 20px;
    max-width: 165px;
    background-color: #6e5095;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: white;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 11px 15px 9px 15px;
}

.category-title {
    font-family: var(--nunitosans);
    text-transform: uppercase;
    font-weight: 400;
    color: white;
    font-size: 13px;
    margin: 0;
    line-height: 1.1;
    letter-spacing: 2.5px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-card img {
    width: 100%;  
    height: auto;
    margin-bottom: 15px;  
    margin-top: 20px;
    border-radius: 20px; 
    object-fit: cover; 
}
.product-name {
    font-size: 18px;
    text-transform: uppercase;
    align-items: center;
    justify-content: center;
    font-family: var(--poppins);
    color: #6e5095;
    font-weight: 500;
    margin-bottom: 15px;
    line-height: 1.4;
    overflow: hidden;
    text-overflow: ellipsis; 
}

.product-price {
    font-size: 14px;
    font-family: var(--nunitosans);
    color: #333; 
    font-weight: 400; 
    margin-bottom: 10px; 
    letter-spacing: 2px;
    text-align: center;
}


.buy-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    font-family: var(--nunitosans);
    font-weight: 600;
    color: #58595b;
    text-decoration: none;
    position: relative;
    cursor: pointer;
    padding: 5px 20px; 
    margin-bottom: 20px;
    letter-spacing: 1.5px;
    border: 2px solid #9d9fa2;
    background-color: #ffffff; 
    border-radius: 1px; 
    transition: all 0.3s ease;
}

.buy-link .link-icon {
    margin-left: 8px; 
    font-size: 12px;
    transition: var(--transition); 
}

.buy-link:hover {
    background-color: #9d9fa2; 
    color: #FFF; 
}

.buy-link:hover .link-icon {
    color: #fff; 
}

.latulipe-button2 {display: flex; justify-content: center;}
.latulipe-button2 a {background-color: var(--purple); border: 1px solid var(--purple); color: #fff; font-family: var(--nunitosans); font-size: 12px; font-weight: bold; padding: 8px 25px; cursor: pointer; transition: var(--transition); letter-spacing: 2px; text-decoration: none;}
.latulipe-button2 a:hover {background-color: #FFF; color: var(--purple);}
.latulipe-button2.white a {background-color: #FFF; color: #58595b; border: 2px solid #9d9fa2;}
.latulipe-button2.white a:hover {background-color: var(--purple); color: #FFF;}

.view-all-button-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 40px; 
}

.view-all-button {
    background-color: #ffffff; 
    color: #6e5095;
    font-family: var(--nunitosans);
    font-size: 12px;
    font-weight: 700; 
    padding: 10px 30px; 
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    letter-spacing: 2px;
}

.view-all-button:hover {
    background-color: #6e5095; 
    color: #ffffff;
}

.content-product{
    background-color: #eeecf6;
    padding-top: 5%;
    padding-bottom: 5%;
}

.container-product-page {
    width: 80%;
    margin: 0 auto;
    margin-top: 10px;
}

.product-header {
    align-items: center;
    padding-bottom: 50px;
}

.separator-product-page {
    flex-grow: 1;
    height: 2px;
    background-color: #6e5095;
}

.product-title-page-header {
    font-family: var(--poppins);
    color: #6e5095;
    font-size: 39px;
    font-weight: 500;
    width: 90%;
    max-width: 600px;
    padding-bottom: 20px;
    line-height: 1.2;
}

/* Container utama untuk filter */
#mobileCategoryFilters {display: none;}

.filter-container {
    display: flex;
    gap: 10px; /* Jarak antar filter */
    flex-wrap: wrap; /* Agar tetap responsif jika layar kecil */
    align-items: center;
    margin-bottom: 40px;
}

.filter-container-box {
    display: flex;
    column-gap: 1%; /* Jarak antar filter */
    align-items: center;
    flex: 1;
}

/* Box filter */
.filter-box {
    background-color: var(--purple);;
    color: white;
    padding: 10px;
    cursor: pointer;
    position: relative;
    width: 100%;
}

#mobileCategoryFilters .filter-box {max-width: 230px;}
.mobile-category-filters-background {z-index: 9999; background-color: rgba(110, 80, 149, 0.4); position: fixed; left: 0; right: 0; bottom: 0; top: 0; display: none;}
.mobile-category-filters-wrapper {overflow: hidden; position: fixed; left: 10%; right: 0; bottom: 0; top: 0; background: #FFF; padding: 20px 5%;}
.mobile-category-filters-header {position: relative; height: 10vh;}
.mobile-category-filters-header .modal-close {position: absolute; right: 0; width: 25px; height: 25px;}
.mobile-category-filters {height: 90vh; overflow: auto; padding-bottom: 45px; padding-right: 10%;}
.mobile-category-filter-header {font-family: var(--nunitosans); font-weight: 600; color: var(--purple); border-bottom: 2px solid var(--purple); padding-bottom: 5px; margin-bottom: 10px;}
.mobile-category-filter-item-wrapper {margin-bottom: 40px;}

.reset-filter{
    padding-right: 3%;
    cursor: pointer;
    font-size: 14px;
    font-family: 'Nunito-Sans', sans-serif;
    color: #808285;
    text-decoration: underline;
    text-align: right;
    text-underline-offset: 4px;
    flex: 0 0 120px;
}

/* Header dropdown */
.filter-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: var(--nunitosans);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    padding: 10px;
    letter-spacing: 1px;
    cursor: pointer;
}

.product-list{
    min-height: 300px;
}

/* Chevron Icon */
.chevron-icon {
    font-size: 14px;
}

.icheckbox_square-purple {
    background-position:-24px 0;
}

.icheckbox_square-purple.hover {
    background-position:-24px 0;
}


.filter-options {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: white; 
    color: #6d6e71;
    border: 2px solid #6e5095;
    font-family: var(--nunitosans);
    font-size: 14px;
    padding: 15px 6%;
    width: 100%;
    z-index: 10;
}

/* Pilihan dalam dropdown */
.filter-option {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px;
    cursor: pointer;
}

.filter-option:last-child {
    border-bottom: none;
}

/* Checkbox dengan kotak */
.filter-option input[type="checkbox"] {
    width: 20px;
    height: 20px;
    accent-color: #6e5095; 
}

.filter-option .icheckbox_square-purple {flex: 0 0 22px;}
.filter-option .icheckbox_square-purple.checked {background-position: -48px 0}

/* Mengatur tampilan teks agar rapi */
.filter-option label {
    flex-grow: 1;
    font-size: 14px;
    font-family: var(--nunitosans);
    cursor: pointer;
}

/* Menghilangkan tampilan asli checkbox */
.hidden-checkbox {
    display: none;
}

.product-warning{
    text-align: center;
    font-family: 'Nunito-Sans', sans-serif;
    font-size: 14px;
    color: #6d6e71;
    font-weight: normal;
}

.product-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-bottom: 20px;
}

.product-card-page {
    background: #fff;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    position: relative;
}

.product-card-page img {
    width: 100%;
    border-radius: 8px;
}
.product-info-page {
    width: 100%;
    text-align: center;
    padding-bottom: 50px; /* Jarak untuk harga & tombol */
}
.product-title-page {
    font-size: 18px;
    text-transform: uppercase;
    font-family: var(--poppins);
    color: #6e5095;
    font-weight: 500;
    line-height: 1.1;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-bottom: 50px;
}
.product-card-footer {
    position: absolute;
    bottom: 25px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    width: 100%;
}
.product-price-page {
    font-size: 14px;
    font-family: var(--nunitosans);
    color: #333;
    font-weight: 400;
    margin-bottom: 10px;
    letter-spacing: 2px;
    text-align: center;
}

.detail-product-page {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    font-family: var(--nunitosans);
    font-weight: 600;
    color: #ffff;
    text-decoration: none;
    position: relative;
    cursor: pointer;
    padding: 10px 20px;
    margin-bottom: 20px;
    letter-spacing: 1.5px;
    background-color: #6e5095;
    text-transform: uppercase;
    border-radius: 1px;
    transition: all 0.3s ease;
}

.detail-product-page .link-icon {
    margin-left: 8px; 
    font-size: 10px; 
}

@media screen and (max-width: 1024px) {
	.section-product {padding-top: 105px;}
    .product-title-page-header {font-size: 38px;}
}

@media screen and (max-width: 900px) {
	.section-product {padding-top: 90px;}
    .product-title-page-header {font-size: 37px;}
    .product-grid {grid-template-columns: repeat(2, 1fr);}
}

@media screen and (max-width: 800px) {
	.section-product {padding-top: 75px;}
    .product-title-page-header {font-size: 36px;}
}

@media screen and (max-width: 768px) {
    .section-product {padding-left: 10%; padding-right: 10%;}
    .product-title-page-header {font-size: 35px;}
    #categoryFilters {display: none;}
    #mobileCategoryFilters {display: flex;}
    .reset-filter {display: none;}
    .container-product-page .pagination-wrapper {display: none;}
}

@media screen and (max-width: 700px) {
	.section-product {padding-top: 60px;}
    .product-title-page-header {font-size: 34px;}
}

@media screen and (max-width: 600px) {
	.section-product {padding-top: 45px; padding-left: 10%; padding-right: 10%;}
    .product-title-page-header {font-size: 33px;}
    .product-grid {grid-template-columns: repeat(1, 1fr);}
    .category-title {font-size: 12px;}
}

@media screen and (max-width: 550px) {
	.product-title-page-header {font-size: 32px;}
}

@media screen and (max-width: 500px) {
	.product-title-page-header {font-size: 31px;}
    .category-title {font-size: 11px;}
    .product-slider-wrapper .tns-controls {top: calc(50% - 17px);}
    .product-slider-wrapper .tns-controls button:first-child {width: 35px; height: 35px; left: -35px;}
    .product-slider-wrapper .tns-controls button:nth-child(2) {width: 35px; height: 35px; right: -35px;}
}

@media screen and (max-width: 450px) {
	.product-title-page-header {font-size: 30px;}
}

@media screen and (max-width: 400px) {
	.product-title-page-header {font-size: 29px;}
    .category-title {font-size: 10px;}
}

@media screen and (max-width: 350px) {
	.product-title-page-header {font-size: 28px;}
}